@echo off
echo off
echo Example iMacros Batch File
echo Tip: You may have to adjust iMacros default macros folder to iMacros\Macros\Demo

:: %pf% expands to the default install location of iMacros, you may have to change
:: this is if you installed to a different location.
setlocal
set pf=%ProgramFiles%\Progress\iMacros

:: %macropath% expands to the demo macros path
set macropath=%~dp0..\..\Macros\Demo

:: Note: The "-loop <x> " command runs the macro <x> times in a loop. 
:: This is the same as pressing the LOOP button in the iMacros browser.

"%pf%\iMacros.exe" -macro "%macropath%\Loop-Csv-2-Web.iim" -loop 4

:: The batch variable %errorlevel% is automatically set by "imacros.exe" upon exit

:: Alternatively, you can also start VB Scripts from the command line: https://wiki.imacros.net/VBS_Command_Line

if %errorlevel% == 1 goto ok
if NOT %errorlevel% == 1 goto error

:ok
echo Macro completed succesfully!
goto end

:error
echo Error encountered during replay.
echo Errorcode=%errorlevel% 
echo Please see https://wiki.imacros.net/Error_and_Return_Codes
echo for a detailed description of error codes.

:end
pause
