// iMacros Connect-To-Firefox JScript
// Copyright © 1992-2021 Progress Software Corporation and/or one of its subsidiaries or affiliates.
// All rights reserved.

var WshShell = WScript.CreateObject("WScript.Shell");

// Init the iMacros scripting interface
var iim1 = WScript.CreateObject("iMacros");
var ret;

alert("This example script opens an instance of Firefox.\n\nFor this script to work you need to have iMacros for Firefox and iMacros FileAccess installed.\n\nSee https://wiki.imacros.net/Webextensions");

// Open the browser
ret = iim1.iimOpen("-fx", true); //Always open new instance
if (ret < 0) alert("Could not connect to an instance of Firefox\n\n" + iim1.iimGetErrorText());

// Play a macro
var macro = "";
macro = macro + "URL GOTO=https://demo.imacros.net/Automate/TestForm1" + "\n";
macro = macro + "WAIT SECONDS=2" + "\n";
macro = macro + "TAG POS=1 TYPE=INPUT:TEXT ATTR=ID:name CONTENT=Tom<SP>Tester" + "\n";
macro = macro + "TAG POS=1 TYPE=SELECT ATTR=ID:food CONTENT=%Pizza" + "\n";
macro = macro + "TAG POS=1 TYPE=SELECT ATTR=ID:drink CONTENT=%Coke" + "\n";
macro = macro + "TAG POS=1 TYPE=INPUT:RADIO ATTR=ID:medium" + "\n";
macro = macro + "TAG POS=1 TYPE=SELECT ATTR=ID:dessert CONTENT=%ice<SP>cream:%chocolate<SP>cake" + "\n";
macro = macro + "TAG POS=1 TYPE=INPUT:RADIO ATTR=NAME:Customer&&VALUE:Yes" + "\n";
macro = macro + "SET !ENCRYPTION NO" + "\n";
macro = macro + "TAG POS=1 TYPE=INPUT:PASSWORD ATTR=NAME:Reg_code CONTENT=tester" + "\n";
macro = macro + "TAG POS=1 TYPE=TEXTAREA ATTR=NAME:Remarks CONTENT=Hi,<SP><BR><SP><SP>iMacros<SP>can<SP>fill<SP>in<SP>forms" + "\n";
macro = macro + "TAG POS=1 TYPE=BUTTON ATTR=TXT:Click<SP>to<SP>order<SP>now" + "\n";

ret = iim1.iimPlayCode(macro, 60);
if (ret < 0) alert("Error playing macro:\n" + iim1.iimGetErrorText());

alert("Script complete!\n\nPress OK to close the browser and exit.");

iim1.iimClose();
WScript.Quit(ret);

function alert(msg)
{
	WshShell.Popup(msg);
}
