' iMacros Get-Exchange-Rate Script
' Copyright © 1992-2021 Progress Software Corporation and/or one of its subsidiaries or affiliates.
' All rights reserved.

Option Explicit

Const SUCCESS = 1

' Init the iMacros scripting interface
Dim iim1, ret
Set iim1 = CreateObject("iMacros")

Call MsgBox("This script will extract example USD exchange rates for EURO and GBP and display them to the user.", _
	vbOkOnly, WScript.ScriptName)

' Get the current folder
Dim mypath : mypath = Left(WScript.ScriptFullName, InStrRev(WScript.ScriptFullName, "\"))

' Browser switches can be passed to the script via the command line
Dim browserSwitches : browserSwitches = "-ng"

If WScript.Arguments.Count > 0 Then
	Dim arg, args
	For Each arg In WScript.Arguments
		args = args & arg & " "
	Next
	browserSwitches = Trim(args)
End If

' Open the browser
ret = iim1.iimOpen(CStr(browserSwitches))
If ret < 0 Then
	Call MsgBox(iim1.iimGetErrorText(), vbOkOnly+vbCritical, WScript.ScriptName)
	WScript.Quit(ret)
End If

' Play the macro to extract the data
iim1.iimDisplay("Extract Example")
ret = iim1.iimPlay(mypath & "Macros\Wsh-Extract-Rate.iim")

If ret = SUCCESS Then
	Call MsgBox("One USD costs " & iim1.iimGet("USD2EURO") & " EURO or " & iim1.iimGet("USD2GBP") & " British Pounds (GBP)", _
		vbOkOnly+vbInformation, WScript.ScriptName)
Else
	Call MsgBox("The following error occurred:" & vbNewLine & vbNewline, vbOkOnly+vbExclamation, WScript.ScriptName)
End If

iim1.iimClose()
WScript.Quit(ret)
