' iMacros Get-Response-Times Script
' Copyright © 1992-2021 Progress Software Corporation and/or one of its subsidiaries or affiliates.
' All rights reserved.

Option Explicit

Call MsgBox("This example will measure website response times using the same macro code as the Demo\Stopwatch " &_
	"example, with the macro code embedded in the script instead of an external macro file." & vbNewLine & vbNewLine &_
	"Results are retrieved from the macro and displayed to the user rather than written to a file.", _
	vbOkOnly, WScript.ScriptName)

Dim macro
macro = macro & "TAB T=1" & vbNewLine
macro = macro & "TAB CLOSEALLOTHERS" & vbNewLine
macro = macro & "SET !FOLDER_STOPWATCH NO" & vbNewLine

macro = macro & "STOPWATCH ID=Firstpage" & vbNewLine
macro = macro & "URL GOTO=https://demo.imacros.net/Automate/StopWatchDemo" & vbNewLine
macro = macro & "STOPWATCH ID=Firstpage" & vbNewLine

macro = macro & "TAG POS=1 TYPE=A ATTR=HREF:https://demo.imacros.net/Automate/AutoDataEntry" & vbNewLine
macro = macro & "TAG POS=1 TYPE=INPUT:TEXT ATTR=NAME:fname CONTENT=Tom" & vbNewLine
macro = macro & "TAG POS=1 TYPE=INPUT:TEXT ATTR=NAME:lname CONTENT=Tester" & vbNewLine
macro = macro & "STOPWATCH ID=SubmitData" & vbNewLine
macro = macro & "TAG POS=1 TYPE=BUTTON:SUBMIT ATTR=TXT:Submit" & vbNewLine
macro = macro & "STOPWATCH ID=SubmitData" & vbNewLine

macro = macro & "URL GOTO=https://www.progress.com/imacros/compare-versions" & vbNewLine
macro = macro & "TAG POS=1 TYPE=H5 ATTR=TXT:""Enterprise Edition""" & vbNewLine
macro = macro & "STOPWATCH ID=OpenStore" & vbNewLine
macro = macro & "TAG POS=R1 TYPE=A ATTR=TXT:*Buy*" & vbNewLine
macro = macro & "TAG POS=1 TYPE=SPAN ATTR=TXT:""Shopping cart""" & vbNewLine
macro = macro & "STOPWATCH ID=OpenStore" & vbNewLine
macro = macro & "TAB CLOSE" & vbNewLine

' Init the iMacros scripting interface
Dim iim1, ret
Set iim1 = CreateObject("iMacros")

' Browser switches can be passed to the script via the command line
Dim browserSwitches : browserSwitches = "-ng"

If WScript.Arguments.Count > 0 Then
	Dim arg, args
	For Each arg In WScript.Arguments
		args = args & arg & " "
	Next
	browserSwitches = Trim(args)
End If

' Open the browser
ret = iim1.iimOpen(CStr(browserSwitches))
If ret < 0 Then
	Call MsgBox(iim1.iimGetErrorText(), vbOkOnly+vbCritical, WScript.ScriptName)
	WScript.Quit(ret)
End If

' Play the macro
iim1.iimDisplay("Get Response Times Example")
ret = iim1.iimPlayCode(macro)
If ret < 0 Then Call MsgBox(iim1.iimGetErrorText(), vbOkOnly+vbExclamation, WScript.ScriptName)

' Retrieve measurements
Dim results : results = "Stopwatch Results" & vbNewline & vbNewline
Dim swName, swValue
Dim i : i = 1

Do While iim1.iimGetStopwatch(i, swName, swValue) = 1
	results = results & swName & " time: " & swValue & " seconds" & vbNewLine
	i = i + 1
Loop

Call MsgBox(results, vbOkOnly+vbInformation, WScript.ScriptName)

iim1.iimClose()
WScript.Quit(ret)
