' iMacros Random-Numbers Script
' Copyright © 1992-2021 Progress Software Corporation and/or one of its subsidiaries or affiliates.
' All rights reserved.

Option Explicit

' Init the iMacros scripting interface
Dim iim1, ret
Set iim1 = CreateObject("iMacros")

Call MsgBox("This example script submits random information to a website.", vbOkOnly, WScript.ScriptName)

' Get the current folder
Dim mypath : mypath = Left(WScript.ScriptFullName, InStrRev(WScript.ScriptFullName, "\"))

' Browser switches can be passed to the script via the command line
Dim browserSwitches : browserSwitches = "-ng"

If WScript.Arguments.Count > 0 Then
	Dim arg, args
	For Each arg In WScript.Arguments
		args = args & arg & " "
	Next
	browserSwitches = Trim(args)
End If

' Open the browser
ret = iim1.iimOpen(CStr(browserSwitches))
If ret < 0 Then
	Call MsgBox(iim1.iimGetErrorText(), vbOkOnly+vbCritical, WScript.ScriptName)
	WScript.Quit(ret)
End If

' Initialize the random number generator
Randomize

Dim textArray : textArray = Array("Sunshine", "Snow", "Rain", "Wind", "Clouds")

' Run multiple times
Dim i
For i = 1 To 5
	iim1.iimDisplay("Generating random data set " & i)

	' Generate a random number between 0 and 4
	Dim rn : rn = Int(Rnd() * 5)

	' Set the macro variables
	Call iim1.iimSet("mynumber", rn)
	Call iim1.iimSet("mytext", textArray(rn))

	' Play the macro
	ret = iim1.iimPlay(mypath & "Macros\Wsh-Random.iim")
	If ret < 1 Then Call MsgBox(iim1.iimGetErrorText(), vbOkOnly+vbExclamation, WScript.ScriptName)
Next

Call MsgBox("The script has completed." & vbNewLine & vbNewLine &_
	"Click OK to close the browser and exit.", _
	vbOkOnly+vbInformation, WScript.ScriptName)

iim1.iimClose()
WScript.Quit(ret)
