' iMacros Scripting-Interface-Sample script
' Copyright © 1992-2021 Progress Software Corporation and/or one of its subsidiaries or affiliates.
' All rights reserved.

Option Explicit

' Init the iMacros scripting interface
Dim iim1, ret
Set iim1 = CreateObject("iMacros")

Call MsgBox("Welcome to iMacros Scripting Interface!" & vbNewLine & vbNewline &_
	"In this example you will see how easy it is to remotely control a browser using a simple script.", _
	vbOkOnly, WScript.ScriptName)

' Get the current folder
Dim mypath : mypath = Left(WScript.ScriptFullName, InStrRev(WScript.ScriptFullName, "\"))

' Browser switches can be passed to the script via the command line
Dim browserSwitches : browserSwitches = "-ng"

If WScript.Arguments.Count > 0 Then
	Dim arg, args
	For Each arg In WScript.Arguments
		args = args & arg & " "
	Next
	browserSwitches = Trim(args)
End If

' Open the browser
ret = iim1.iimOpen(CStr(browserSwitches))
If ret < 0 Then
	Call MsgBox(iim1.iimGetErrorText(), vbOkOnly+vbCritical, WScript.ScriptName)
	WScript.Quit(ret)
End If

iim1.iimDisplay("Interface version = " & iim1.iimGetInterfaceVersion())

' Run a macro
ret = iim1.iimPlay(mypath & "Macros\Wsh-Start.iim", 30)
If ret < 0 Then Call MsgBox(iim1. iimGetErrorText(), vbOkOnly+vbCritical, WScript.ScriptName)

iim1.iimDisplay("Script complete!")
Call MsgBox("Click OK to close the browser and exit.", vbOkOnly+vbExclamation, WScript.ScriptName)

iim1.iimClose()
WScript.Quit(ret)
