' iMacros Send-Macro-Code Script
' Copyright © 1992-2021 Progress Software Corporation and/or one of its subsidiaries or affiliates.
' All rights reserved.

Option Explicit

' Init the iMacros scripting interface
Dim iim1, ret
Set iim1 = CreateObject("iMacros")

Call MsgBox("This example script uses NO external macro files, but generates the macro code internally.", vbOkOnly, WScript.ScriptName)

' Tip: Use the iMacros Editor Code Generator feature to convert your
' iMacros macros into some scripting/programming language code.

Dim MyMacroCode
MyMacroCode = MyMacroCode & "TAB T=1" & vbNewLine
MyMacroCode = MyMacroCode & "TAB CLOSEALLOTHERS" & vbNewLine
MyMacroCode = MyMacroCode & "URL GOTO=https://www.imacros.net" & vbNewLine
MyMacroCode = MyMacroCode & "WAIT SECONDS=3" & vbNewLine
MyMacroCode = MyMacroCode & "URL GOTO=https://forum.imacros.net" & vbNewLine

' Browser switches can be passed to the script via the command line
Dim browserSwitches : browserSwitches = "-ng"

If WScript.Arguments.Count > 0 Then
	Dim arg, args
	For Each arg In WScript.Arguments
		args = args & arg & " "
	Next
	browserSwitches = Trim(args)
End If

' Open the browser
ret = iim1.iimOpen(CStr(browserSwitches))
If ret < 0 Then
	Call MsgBox(iim1.iimGetErrorText(), vbOkOnly+vbCritical, WScript.ScriptName)
	WScript.Quit(ret)
End If

iim1.iimDisplay("Playing macro code from script")

' Play the first macro
ret = iim1.iimPlayCode(MyMacroCode)
If ret < 0 Then Call MsgBox("Macro #1: " & iim1.iimGetErrorText(), vbOkOnly+vbExclamation, WScript.ScriptName)

' Play the second macro (one line only)
ret = iim1.iimPlayCode("URL GOTO=https://wiki.imacros.net")
If ret < 0 Then Call MsgBox("Macro #2: " & iim1.iimGetErrorText(), vbOkOnly+vbExclamation, WScript.ScriptName)

iim1.iimDisplay("Script complete!")
Call MsgBox("Click OK to close the browser and exit.", vbOkOnly+vbExclamation, WScript.ScriptName)

iim1.iimClose()
WScript.Quit(ret)
